
import React from 'react';
import Icon from 'react-icon-base';

const SlSizeFullscreen = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M685.904 576.816l275.264 273.572l-0.896484 -155.072c-0.288086 -12.9277 9.96777 -24.1758 22.9121 -23.8877l16.416 0.015625c12.9443 0.303711 23.6484 8 23.9209 20.9277l0.671875 231.008c0 0.223633 -0.879883 0.399414 -0.879883 0.623047l1.26367 11.7119 c0.12793 6.49609 -1.3916 12.2881 -5.58398 16.4316c-4.14355 4.17578 -9.95117 6.71973 -16.3994 6.54395l-11.6963 -0.272461c-0.223633 0 -0.399414 -0.0800781 -0.639648 -0.112305l-229.488 1.00781c-12.9277 -0.288086 -23.6318 -10.9766 -23.9199 -23.9209 l-0.0322266 -16.416c1.96777 -15.248 13.9521 -24.1602 26.8799 -23.8721l151.248 -0.400391l-274.288 -272.624c-12.4961 -12.4961 -12.4961 -32.752 0 -45.2637c12.4961 -12.4805 32.752 -12.4805 45.2474 -7.5e-05zM339.088 319.188l-275.263 -272.72l0.879883 154.224 c0.303711 12.9443 -9.96875 24.1924 -22.8965 23.9043l-17.4238 -0.0322266c-12.96 -0.320312 -23.6484 -8 -23.9209 -20.9443l-0.671875 -231.008c0 -0.223633 0.879883 -0.367188 0.879883 -0.623047l-1.26367 -11.6797 c-0.143555 -6.49609 1.37598 -12.3203 5.58398 -16.4326c4.12793 -4.19238 9.95215 -6.7207 16.3838 -6.56055l11.7119 0.288086c0.223633 0 0.383789 0.0957031 0.639648 0.0957031l230.496 -1.00781c12.9277 0.320312 23.6162 11.0088 23.9199 23.9365l0.0322266 16.4316 c-1.96777 15.2158 -13.9521 24.1602 -26.8799 23.8721l-151.248 0.400391l274.272 272.592c12.4961 12.4961 12.4961 32.752 0 45.248s-32.7363 12.5117 -45.2324 0.015625zM1024.21 -27.3711l-0.671875 231.009c-0.288086 12.9443 -10.9922 20.624 -23.9199 20.9443 l-16.416 0.0322266c-12.9443 0.288086 -23.1846 -10.9756 -22.9121 -23.9033l0.895508 -155.072l-275.28 273.552c-12.4961 12.4961 -32.752 12.4961 -45.248 0s-12.4961 -32.752 0 -45.248l274.272 -272.592l-151.232 -0.400391 c-12.9277 0.288086 -24.9121 -8.65625 -26.8799 -23.8721l0.0322266 -16.4316c0.303711 -12.9443 11.0078 -23.6328 23.9199 -23.9365l229.504 1.00781c0.240234 0 0.416016 -0.0957031 0.639648 -0.0957031l11.6963 -0.288086 c6.44824 -0.160156 12.2725 2.36816 16.4004 6.56055c4.19238 4.12793 5.69629 9.93555 5.58398 16.4316l-1.26367 11.6797c0 0.255859 0.879883 0.399414 0.879883 0.623047zM110.049 894.678l151.264 0.397461c12.9277 -0.288086 24.9121 8.63965 26.8799 23.8721 l-0.0322266 16.4316c-0.320312 12.9443 -11.0088 23.6484 -23.9209 23.9209l-230.512 -0.992188c-0.255859 0.0322266 -0.416016 0.112305 -0.639648 0.112305l-11.7119 0.272461c-6.43164 0.175781 -12.2715 -2.36816 -16.3838 -6.54395 c-4.20801 -4.14355 -5.72754 -9.93555 -5.58398 -16.4316l1.26367 -11.7119c0 -0.223633 -0.879883 -0.383789 -0.879883 -0.624023l0.671875 -231.008c0.288086 -12.9277 10.9766 -20.624 23.9209 -20.9277l17.4238 -0.015625 c12.9277 -0.288086 23.1836 10.96 22.8955 23.8877l-0.879883 154.224l275.264 -272.72c12.4805 -12.4961 32.7529 -12.4961 45.249 0s12.4961 32.7686 0 45.2646z"/></g>
    </Icon>
);

export default SlSizeFullscreen;
